<!-- Based on fast/repaint/child-of-sub-pixel-offset-composited-layer.html -->
<!DOCTYPE html>
<html>
<head>
<style>
.container {
  transform: translateZ(0);
  position: absolute;
  top: 100px;
  left:100.5px;
  background-color: red;
}

#target {
  position: absolute;
  left: 0px;
  width: 10px;
  height: 10px;
  border: 2px solid red;
}

#target.green {
  border-color: green;
}
</style>
<script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
</head>
<body onload="runPaintInvalidationTest();">
<div class="container">
<div id="target">
</div>
</div>
<script>
// This test ensures that children of a composited element with a sub-pixel offset are properly repainted.
// The box should have a fully green border.
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow (positioned) DIV id='target' class='green'",
];
function paintInvalidationTest() {
  var target = document.getElementById('target');
  target.classList.add('green');
}
</script>
